
From: Christoph Hellwig <hch@lst.de>

Now that modutils don't have built-in aliases anymore this is needed to
make mount -t vxfs autload the module.



---

 25-akpm/fs/freevxfs/vxfs_super.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN fs/freevxfs/vxfs_super.c~freevxfs-MODULE_ALIAS fs/freevxfs/vxfs_super.c
--- 25/fs/freevxfs/vxfs_super.c~freevxfs-MODULE_ALIAS	Thu Jan  8 15:37:43 2004
+++ 25-akpm/fs/freevxfs/vxfs_super.c	Thu Jan  8 15:37:43 2004
@@ -53,6 +53,8 @@ MODULE_AUTHOR("Christoph Hellwig");
 MODULE_DESCRIPTION("Veritas Filesystem (VxFS) driver");
 MODULE_LICENSE("Dual BSD/GPL");
 
+MODULE_ALIAS("vxfs"); /* makes mount -t vxfs autoload the module */
+
 
 static void		vxfs_put_super(struct super_block *);
 static int		vxfs_statfs(struct super_block *, struct kstatfs *);

_
